#
# spec file for package perlref
#
# Copyright (c) 2019 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perlref
AutoReqProv:    off
URL:            https://www.vromans.org/johan/perlref.html
Version:        5.004.1
Release:        8.32
Summary:        Perl 5 Reference Guide
License:        NonFree
Group:          Development/Languages/Perl
BuildArch:      noarch
Source:         perlref-5.004.1.tar.gz
Source1:        http://www.squirrel.nl/pub/perlref-5.004.1.pdf
BuildRequires:  ghostscript
BuildRequires:  psutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Perl 5 Reference Guide in PS and PDF format

%prep
%setup

%build
make TMPDIR=/tmp
cp %{SOURCE1} .
mkdir base
mv *base*.ps Layout Makefile* PROBLEMS *.pl base/

%install

%files
%defattr(-,root,root)
%doc *.pdf README *.ps base

%changelog
* Tue Nov 19 2019 Dirk Stoecker <opensuse@dstoecker.de>
- fix build, convert to pdf format
* Wed Jul 18 2012 coolo@suse.com
- moving to non-free
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Feb  4 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Tue Apr 22 2003 coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Sep 25 2000 ro@suse.de
- sorted
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun  8 1999 bs@suse.de
- made package "noarch"
* Sat Nov 14 1998 ro@suse.de
- build package from source
